Search
K
Product-Service

Product

HealthController_getHealth

get
https://uat.api.zinnia.io/product/products/health

Response

200
get/product/products/health
 
200

CreateProduct

Create Product

post
https://uat.api.zinnia.io/product/v1/products

Body

application/json

ProductDataModel

productIdstring

Zinnia generated unique ID generated to uniquely identify the product in our product master database

Example:UUID

carrierProductIdstring

Carrier generated unique ID, which may be used to communicate across integrations.

Example:CAR-PROD-123

productMarketingNamestring

Carrier generated marketing name for the product

Allowed values:Everglades Term LifeEverglades Return of Premium TermEverglades Index Universal Life

Example:Everglades Term Life

carrierstring

Unique carrier key used in enterprise APIs

Example:EVGL

productLinestring

Product line category

Allowed values:LIFEANNUITY

Example:LIFE

productTypestring

Product type category

Allowed values:INDEX_UNIVERSAL_LIFEUNIVERSAL_LIFETERM

Example:TERM

planCodestring

Plan code for the product (multiple can exist for a single product)

Example:TL0101

termLengtharray[number]

Term length in years

Allowed values:1510152025303540

Example:[10,20,30]

availableToSellboolean

Indicates if the product is available to sell

Example:true

Response

Bad Request – validation error or duplicate key

post/product/v1/products

Body

{}
 

QueryProduct

Query and retrieve products with optional filtering. Always returns an array of products, even when no products match the criteria (returns empty array) or when only a single product is found.

get
https://uat.api.zinnia.io/product/v1/products

Query Parameters

carrierstringrequired

carrier name

carrierProductIdstring

carrier product id

productIdstring

product id

productTypestring

product type

offsetnumber

offset

limitnumber

limit

Response

application/json

Array of products matching the search criteria. Returns empty array if no products found, single-item array if one product found, or multiple products if many match.

productIdstring

Zinnia generated unique ID generated to uniquely identify the product in our product master database

Example:UUID

carrierProductIdstring

Carrier generated unique ID, which may be used to communicate across integrations.

Example:CAR-PROD-123

productMarketingNamestring

Carrier generated marketing name for the product

Allowed values:Everglades Term LifeEverglades Return of Premium TermEverglades Index Universal Life

Example:Everglades Term Life

carrierstring

Unique carrier key used in enterprise APIs

Example:EVGL

productLinestring

Product line category

Allowed values:LIFEANNUITY

Example:LIFE

productTypestring

Product type category

Allowed values:INDEX_UNIVERSAL_LIFEUNIVERSAL_LIFETERM

Example:TERM

planCodestring

Plan code for the product (multiple can exist for a single product)

Example:TL0101

termLengtharray[number]

Term length in years

Allowed values:1510152025303540

Example:[10,20,30]

availableToSellboolean

Indicates if the product is available to sell

Example:true

idstring

Database generated unique ID

get/product/v1/products
 
application/json

Get product by ID

Retrieves a single product by its UUID

get
https://uat.api.zinnia.io/product/v2/products/{productId}

Path Parameters

productIdstringrequired

Unique product identifier (UUID)

Response

application/json

Product found

ProductV2Model

idstringrequired

System-generated unique identifier (UUID)

Example:7b9f2b65-1b4a-4f4c-9d9d-6a7f5b6d9b1a

carrierCodestringrequired

Unique carrier code

Example:EVGL

carrierNamestringrequired

Carrier name

Example:Everglades

cusipstring | null

CUSIP identifier (9 characters)

Example:1234567AB

productNamestringrequired

Primary product name

Example:Term Life 20

marketingNamestringrequired

Marketing name for the product

Example:Everglades Term 20

legalNamestringrequired

Full legal name of the product

Example:Everglades Term Life Insurance – 20 Year Level Premium

versionstringrequired

Version identifier

Example:1.0

versionStartDatestringrequired

Version start date

Example:2025-01-01

versionEndDatestringrequired

Version end date

Example:2099-01-01

linestringrequired

Product line classification

Allowed values:LIFEANNUITY

Example:LIFE

typestringrequired

Product type

Allowed values:TERMUNIVERSAL_LIFE

Example:TERM

planCodestringrequired

Plan code

Example:TL0101

availableToSellbooleanrequired

Whether the product is available to sell at product level

Example:true

distributorsarray | null[object]

List of distributors authorized to sell this product

Show Child Parameters
stateAvailabilityarray[object]required

State-level availability records

Show Child Parameters
get/product/v2/products/{productId}
 
application/json